python-pbs_0.95-1_all.deb


Advertisement

Description

python-pbs - Python 2 module for executing shell commands as functions

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: python-pbs
Package version: 0.95
Package release: 1
Package architecture: all
Package type: deb
Installed size: 75 B
Download size: 13.44 KB
Official Mirror: ftp.br.debian.org
PBS is a unique subprocess wrapper that maps your system programs to Python functions dynamically. PBS helps you write shell scripts in Python by giving you the good features of Bash (easy command calling, easy piping) with all the power and flexibility of Python. This package contains the library for Python 2.x.

Alternatives

    Download

    Binary package: python-pbs_0.95-1_all.deb
    Source package: pbs

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pbs deb package:
      # sudo apt-get install python-pbs

    Files

    • /usr/lib/python2.6/dist-packages/pbs-0.95.egg-info
    • /usr/lib/python2.6/dist-packages/pbs.py
    • /usr/lib/python2.7/dist-packages/pbs-0.95.egg-info
    • /usr/lib/python2.7/dist-packages/pbs.py
    • /usr/share/doc/python-pbs/AUTHORS.md
    • /usr/share/doc/python-pbs/README.md.gz
    • /usr/share/doc/python-pbs/changelog.Debian.gz
    • /usr/share/doc/python-pbs/copyright
    • /usr/share/pyshared/pbs.py

    Changelog

    2012-02-17 - Nick Moffitt <nick@zork.net> pbs (0.95-1) unstable; urgency=low * New upstream release.

    2012-02-05 - Nick Moffitt <nick@zork.net> pbs (0.90-1) unstable; urgency=low * New upstream release.

    2012-02-03 - Nick Moffitt <nick@zork.net> pbs (0.81-1) unstable; urgency=low * New upstream release. * Fix license revision numbers in copyright file for consistency.

    2012-02-03 - Nick Moffitt <nick@zork.net> pbs (0.80-1) unstable; urgency=low * New upstream release.

    2012-02-02 - Nick Moffitt <nick@zork.net> pbs (0.75-2) unstable; urgency=low * Added debian/python3-pbs.docs to match debian/docs

    2012-02-02 - Nick Moffitt <nick@zork.net> pbs (0.75-1) unstable; urgency=low * New Upstream Version * Include AUTHORS file in docs * Fix debian/copyright to match upstream LICENSE.txt * Incorporate mentoring advice on cleaning up debian/rules and debian/control from Luca Falavigna <dktrkranz@debian.org> * Require at least python 2.6 to support context managers without __future__ imports

    2012-02-02 - Nick Moffitt <nick@zork.net> pbs (0.71-2) unstable; urgency=low * Add support for Python 3

    2012-02-01 - Nick Moffitt <nick@zork.net> pbs (0.71-1) unstable; urgency=low * New Upstream Version

    2012-02-01 - Nick Moffitt <nick@zork.net> pbs (0.7-1) unstable; urgency=low * Initial release (Closes: #658287, #658308)

    Advertisement
    Advertisement